knpu_oauth2_client:
    clients:
        # configure your clients as described here: https://github.com/knpuniversity/oauth2-client-bundle#configuration
        # will create service: "knpu.oauth2.client.foo_bar_oauth"
        # an instance of: KnpU\OAuth2ClientBundle\Client\OAuth2Client
        portal_consejo_oauth:
            type: generic
            provider_class: App\OAuth2\ConsejoOAuthProvider

            # optional: a class that extends OAuth2Client
            # client_class: App\OAuth2\ConsejoOauthClient
            
            # optional: if your provider has custom constructor options
            provider_options: {
                baseUrl: '%env(resolve:PATH_SSO_PARAM)%'
            }

            # now, all the normal options!
            client_id: '%env(resolve:SSO_CLIENT)%'
            client_secret: '%env(resolve:SSO_SECRET)%'
            redirect_route: sso_check
            redirect_params: {}
            # whether to check OAuth2 "state": defaults to true
            # use_state: false
